%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.7
%global pypi_name pulp_manifest

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.0.0
Release:        3%{?dist}
Summary:        Tool to generate a PULP_MANIFEST file for a given directory, so the directory can be recognized by Pulp

License:        GPLv2+
URL:            https://pulpproject.org
Source0:        https://codeload.github.com/pulp/pulp-manifest/tar.gz/%{version}#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools

%description
%{summary}

%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       %{?scl_prefix}python%{python3_pkgversion}-setuptools

%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n pulp-manifest-%{version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/pulp-manifest
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 27 2022 Odilon Sousa <osousa@redhat.com> - 3.0.0-3
- Bump release on python-pulp-manifest for a rebuild on python 3.9

* Tue Sep 06 2022 Odilon Sousa <osousa@redhat.com> - 3.0.0-2
- Bump release on python-pulp-manifest for a rebuild on python 3.8

* Fri Oct 08 2021 Evgeni Golov - 3.0.0-1
- Initial package.
